<?xml version="1.0" encoding="UTF-8"?>

<!--
    Copyright
    2009 axYus - www.axyus.com
    2009 C.Marchand - christophe.marchand@axyus.com
    
    This file is part of XEMELIOS.
    
    XEMELIOS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    XEMELIOS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with XEMELIOS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:output indent="yes" encoding="UTF-8" method="xml"/>

    <xsl:template match="/">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="node()">
        <xsl:copy>
            <xsl:for-each select="@*">
            <xsl:attribute name="{local-name(.)}">
                <xsl:value-of select="."/>
            </xsl:attribute>
            </xsl:for-each>
            <xsl:choose>
                <xsl:when test="local-name(.) = 'parameter' and ./@name='documents-def.dir'">%basedir%/documents-def</xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:copy>
        <!--xsl:element name="{local-name()}">
            <xsl:for-each select="@*">
                <xsl:attribute name="{local-name(.)}">
                    <xsl:value-of select="."/>
                </xsl:attribute>
            </xsl:for-each>
            <xsl:choose>
                <xsl:when test="local-name(.) = 'parameter' and ./@name='documents-def.dir'">%basedir%/documents-def</xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element-->
    </xsl:template>

    <xsl:template match="comment()[string-length(.) &gt; 50]">
        <xsl:comment>
            <xsl:value-of select="."/>
        </xsl:comment>
    </xsl:template>

</xsl:stylesheet>
