<?xml version="1.1" encoding="ISO-8859-1"?>

<xsl:transform
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xs="http://www.w3.org/2001/XMLSchema"
 xmlns:java="xalan://xml.apache.org/xalan/java"
 xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
 xmlns:ano="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally"
 version="2.0"
 exclude-result-prefixes="xsl xs java"
 >
 
 <xsl:output method="xml" indent="yes"/>
 <xsl:output version="1.0"/>
 
 <xsl:param name="language" select="'fr'"/>
 <xsl:template match="/ano:DocumentRapport">
  <xsl:element name="ano:DocumentRapport" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
   <xsl:for-each select="./@*">
    <xsl:attribute name="{local-name(.)}" namespace="{namespace-uri(.)}" select="."/>
   </xsl:for-each>
   <xsl:for-each select="./*">
    <xsl:call-template name="writeElement">
     <xsl:with-param name="el" select="."/>
    </xsl:call-template>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
 
 <xsl:template name="writeElement">
  <xsl:param name="el"/>
  <xsl:choose>
   <xsl:when test="namespace-uri($el) = 'http://projets.admisource.gouv.fr/xemelios/namespaces#anomally'">
    <xsl:element name="{name($el)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
     <xsl:for-each select="$el/@*">
      <xsl:attribute name="{name(.)}" namespace="{namespace-uri(.)}">
       <xsl:value-of select="."/>
      </xsl:attribute>
     </xsl:for-each>
     <xsl:for-each select="$el/*">
      <xsl:call-template name="writeElement">
       <xsl:with-param name="el" select="."/>
      </xsl:call-template>
     </xsl:for-each>
     <xsl:value-of select="$el/text()" disable-output-escaping="yes"/>
    </xsl:element>
   </xsl:when>
   <xsl:otherwise>
    <xsl:element name="{name($el)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
     <xsl:for-each select="$el/@*">
      <xsl:choose>
       <xsl:when test="namespace-uri(.) = 'http://projets.admisource.gouv.fr/xemelios/namespaces#anomally'">
        <xsl:attribute name="{local-name(.)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
         <xsl:value-of select="."/>
        </xsl:attribute>
       </xsl:when>
       <xsl:otherwise>
        <xsl:attribute name="{local-name(.)}">
         <xsl:value-of select="."/>
        </xsl:attribute>
       </xsl:otherwise>
      </xsl:choose>
     </xsl:for-each>
     <xsl:for-each select="$el/*">
      <xsl:call-template name="writeElement">
       <xsl:with-param name="el" select="."/>
      </xsl:call-template>
     </xsl:for-each>
     <xsl:value-of select="$el/text()" disable-output-escaping="yes"/>
    </xsl:element>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:template>
</xsl:transform>