<%@ page language="java" pageEncoding="ISO-8859-15" contentType="text/html; charset=ISO-8859-15" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
    <head>
        <link rel="stylesheet" href="css/standard.css" type="text/css"/>
        <!--[if IE 6]>
    <link rel="stylesheet" href="css/ie6.css" type="text/css"/>
   <![endif]-->
   <!--[if IE 5]>
    <link rel="stylesheet" href="css/ie6.css" type="text/css"/>
    <link rel="stylesheet" href="css/ie5.5.css" type="text/css"/>
   <![endif]-->
        <link rel="icon" type="image/png" href="<%=request.getContextPath()%>/img/favicon.png"/>
        <title><bean:message key="nomApplication"/> - <bean:message key="connexion.titreEcran"/> - <bean:message key="connexion.codeEcran"/></title>
        <script>
            // Remove frames :
            if (top.location != self.location) {
                top.location = self.location;
            }
            function setFocus() {
            <c:choose>
                <c:when test="${isLoginRequired}">
                        document.connexionForm.login.focus();
                </c:when>
                <c:when test="${isPasswordRequired}">
                        document.connexionForm.password.focus();
                </c:when>
            </c:choose>
                }

                function go() {
                    document.forms['connexionForm'].submit();
                }
        </script>
    </head>
    <body onload="setFocus()">

        <%@ include file="/WEB-INF/jsp/include/message.jsp" %>
        <div id="LoginContainer">
            <div id="LoginLogoPanel"><br />
                4.0.0.15<br />
            </div>
            <div id="LoginPanel">
                <html:form action="connexion" method="POST">
                    <html:hidden property="dispatchMethod" value="processUserInputs"/>
                    <input type="hidden" name="dispatchMethod" value="processUserInputs"/>
                    <table id="logintable">
                        <c:if test="${isLoginRequired}">
                            <tr>
                                <td class="text"> <bean:message key="connexion.identifiant"/> </td>
                                <td class="Operator"><html:text property="login" styleClass="zoneSaisissable"/></td>
                            </tr>
                        </c:if>

                        <c:if test="${isPasswordRequired}">
                            <tr>
                                <td class="text"> <bean:message key="connexion.motDePasse"/></td>
                                <td class="Operator"><html:password property="password" styleClass="zoneSaisissable"/></td>
                            </tr>
                        </c:if>
                        <tr>
                            <td colspan="2" style="text-align: center;">
                                <a id="loginbtn" href="javascript:go();"><bean:message key="commun.valider"/></a>
                                <input type="image" src="<%=request.getContextPath()%>/img/1x1blank.gif" style="border: none;"/>
                            </td>
                        </tr>
                    </table>
                </html:form>
            </div>
        </div>
    </body>
</html>
