<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:j2ee="http://java.sun.com/xml/ns/j2ee"
    version="1.0"
    exclude-result-prefixes="xsl">
    <xsl:output method="xml" encoding="UTF-8" indent="yes"/>
    
    <xsl:template match="j2ee:web-app">
        <web-app xmlns="http://java.sun.com/xml/ns/j2ee" version="2.4">
            <xsl:apply-templates/>
        </web-app>
    </xsl:template>
    
    <xsl:template match="*">
        <xsl:choose>
            <xsl:when test="local-name()='context-param'">
                <xsl:choose>
                    <xsl:when test="./j2ee:param-name = 'documents-def.dir'"/>
                    <xsl:when test="./j2ee:param-name = 'baseDir'"/>
                    <xsl:otherwise><xsl:copy-of select="."/></xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <!--xsl:element name="{name()}" namespace="http://java.sun.com/xml/ns/j2ee"-->
                <xsl:copy>
                    <xsl:for-each select="./@*">
                        <xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
                    </xsl:for-each>
                    <xsl:apply-templates/>
                </xsl:copy>
                <!--/xsl:element-->
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
